# Gridlock - a collection of grid-based strategy games
# Copyright (c) 2009 Brian Nenninger (brian@dozingcatsoftware.com)
# Gridlock comes with ABSOLUTELY NO WARRANTY, and is released under version 3 of the GNU GPL.

from OpenGL.GL import *
import PGOpenGLUtils
import Preferences

def drawCell(state, coord, value, scale):
    drew = False
    for pnum in reversed(list(state.stack_contents_for_value(value))):
        color = Preferences.prefs.player_color(abs(pnum), as_float=True)
        PGOpenGLUtils.draw_cylinder(scale=scale, color=color, height=0.5)
        # translate so next piece will be higher
        glTranslatef(0.05*scale, 0.08*scale, 0.5*scale)
        drew = True
    return drew
